<?php
// This is a SPIP language file  --  Ceci est un fichier langue de SPIP

if (!defined('_ECRIRE_INC_VERSION')) return;
 
$GLOBALS[$GLOBALS['idx_lang']] = array(

	'label_activer_orgchartjs_privee' => 'Interface privée',
	'label_activer_orgchartjs_publique' => 'Interface publique',
	'interfaceprivee_off' => 'Désactivée Org Chart',
	'interfaceprivee_on' => 'Activée Org Chart',
	'interfacepublique_off' => 'Désactivée Org Chart',
	'interfacepublique_on' => 'Activée Org Chart',
	'titre_page_configurer_orgchartjs' => 'Configuration Org Chart',
	'titre_orgcharts' => 'Org Chart & les parties publique et privée de SPIP',
     // D
     
     'demo_json' => '<p><a href="https://dabeng.github.io/OrgChart/">Org Chart</a> est un plugin pour Jquery. <a href="https://jquery.com">Jquery</a> est <a href="https://plugins.spip.net/jquery.html">installé de base</a> sur SPIP. SPIP vous propose une gestion d’objet éditoriaux valorisant leur hiérarchie. Cela peut être un article et son imbrication dans des rubriques, mais plus encore tout autre objet éditorial.</p><p>Le présent plugin pour SPIP vous permet d’ajouter les facilitées de la librairie OrgChart pour présenter une hiérarchie sous la forme d’un organigramme graphique très évolué et dynamique.</p>',
     'demo_json_dynamique' => 'II - Le #MODELE de SPIP et le plugin Orgchart.js',
     'demo_json_dynamique_explication' => '<p>Un modèle est un petit squelette SPIP qui décrit un fragment de HTML facile à insérer dans un autre squelette ou dans le texte d’un article<br />(voir : <a href="https://www.spip.net/fr_article3454.html">https://www.spip.net/fr_article3454.html</a>).</p><p>Le plugin Orgchart.js vous propose un modele qui embarque :<br /><ul><li>L’appel en javascript de la librairie ;</li><li>L’organisation des données en utilisant les boucles de SPIP.</li></ul></p>',
     'demo_json_dynamique_principe' => 'a) Principes',
     'demo_json_dynamique_exemple' => 'Plan sous forme d’un organigramme vers l’article n°@id@ :',
     'demo_json_dynamique_exemple_appel_squel' => 'Appel depuis un squelette du MODELE pour obtenir l’organigramme de l’article n°@id@ :',
     'demo_json_dynamique_exemple_appel_art' => 'Appel depuis un article du MODELE pour obtenir l’organigramme de l’article n°@id@ :',
     'demo_json_dynamique_exemple_json' => 'Pour information, le flux json donnant les informations nécessaires sur le chemin d’accès à l’article n°@id@ est le suivant :',
     'demo_json_statique' => 'I - Utilisation basique',
     'demo_json_statique_explication' => '<p>Le fonctionnement natif de la librairie est très simple : Un javascript appelle la librairie Orgchart.js pour met en forme (de tableau) un flux (de données) json propulsé dans une (balise HTML) DIV.</p><p>L’examen de cet exemple vous permettra de visualiser ce fonctionnement (A cette fin, vous pouvez faire un clic droit et solliciter dans le menu contextuel l’affichage du code source de la page).</p><p>La DIV porte l’identifiant <em>chart-container</em>. Le javascript est entre les balises SCRIPT.</p>',
     'demo_titre' => 'Démonstration Orgchart.js',
     
	'demo_options_name' => 'Name',
	'demo_options_type' => 'Type',
	'demo_options_required' => 'Required',
	'demo_options_default' => 'Default',
	'demo_options_description' => 'Description',
	'demo_options_data' => 'data',
	'demo_options_datat' => 'json or string',
	'demo_options_datar' => 'yes',
	'demo_options_datadef' => '',
	'demo_options_datades' => 'datasource usded to build out structure of orgchart. It could be a json object or a string containing the URL to which the ajax request is sent.',
</td><td></td><td></td><td></td><td></td>
    </tr>
    <tr>
      <td>pan</td><td>boolean</td><td>no</td><td>false</td><td>Users could pan the orgchart by mouse drag&amp;drop if they enable this option.</td>
    </tr>
    <tr>
      <td>zoom</td><td>boolean</td><td>no</td><td>false</td><td>Users could zoomin/zoomout the orgchart by mouse wheel if they enable this option.</td>
    </tr>
    <tr>
      <td>zoominLimit</td><td>number</td><td>no</td><td>7</td><td>Users are allowed to set a zoom-in limit.</td>
    </tr>
    <tr>
      <td>zoomoutLimit</td><td>number</td><td>no</td><td>0.5</td><td>Users are allowed to set a zoom-out limit.</td>
    </tr>
    <tr>
      <td>direction</td><td>string</td><td>no</td><td>"t2b"</td><td>The available values are t2b(implies "top to bottom", it's default value), b2t(implies "bottom to top"), l2r(implies "left to right"), r2l(implies "right to left").</td>
    </tr>
    <tr>
      <td>verticalLevel</td><td>integer(&gt;=2)</td><td>no</td><td></td><td>Users can make use of this option to align the nodes vertically from the specified level.</td>
    </tr>
    <tr>
      <td>toggleSiblingsResp</td><td>boolean</td><td>no</td><td>false</td><td>Once enable this option, users can show/hide left/right sibling nodes respectively by clicking left/right arrow.</td>
    </tr>
    <tr>
      <td>ajaxURL</td><td>json</td><td>no</td><td></td><td>It inclueds four properites -- parent, children, siblings, families(ask for parent node and siblings nodes). As their names imply, different propety provides the URL to which ajax request for different nodes is sent.</td>
    </tr>
    <tr>
      <td>visibleLevel</td><td>positive integer</td><td>no</td><td>999</td><td>It indicates the level that at the very beginning orgchart is expanded to.</td>
    </tr>
    <tr>
      <td>nodeTitle</td><td>string</td><td>no</td><td>"name"</td><td>It sets one property of datasource as text content of title section of orgchart node. In fact, users can create a simple orghcart with only nodeTitle option.</td>
    </tr>
    <tr>
      <td>parentNodeSymbol</td><td>string</td><td>no</td><td>"oci-leader"</td><td>Using your own icon to imply that the node has child nodes.</td>
    </tr>
    <tr>
      <td>nodeContent</td><td>string</td><td>no</td><td></td><td>It sets one property of datasource as text content of content section of orgchart node.</td>
    </tr>
    <tr>
      <td>nodeId</td><td>string</td><td>no</td><td>"id"</td><td>It sets one property of datasource as unique identifier of every orgchart node.</td>
    </tr>
    <tr>
      <td>nodeTemplate</td><td>function</td><td>no</td><td></td><td>It's a template generation function used to customize any complex internal structure of node. It receives only one parameter: "data" stands for json datasoure which will be use to render one node.</td>
    </tr>
    <tr>
      <td>createNode</td><td>function</td><td>no</td><td></td><td>It's a callback function used to customize every orgchart node. It receives two parameters: "$node" stands for jquery object of single node div; "data" stands for datasource of single node.</td>
    </tr>
    <tr>
      <td>exportButton</td><td>boolean</td><td>no</td><td>false</td><td>It enable the export button for orgchart.</td>
    </tr>
    <tr>
      <td>exportFilename</td><td>string</td><td>no</td><td>"Orgchart"</td><td>It's filename when you export current orgchart as a picture.</td>
    </tr>
    <tr>
      <td>exportFileextension</td><td>string</td><td>no</td><td>"png"</td><td>Available values are png and pdf.</td>
    </tr>
    <tr>
      <td>chartClass</td><td>string</td><td>no</td><td>""</td><td>when you wanna instantiate multiple orgcharts on one page, you should add diffent classname to them in order to distinguish them.</td>
    </tr>
    <tr>
      <td>draggable</td><td>boolean</td><td>no</td><td>false</td><td>Users can drag &amp; drop the nodes of orgchart if they enable this option. **Note**: this feature doesn't work on IE due to its poor support for HTML5 drag &amp; drop API.</td>
    </tr>
    <tr>
      <td>dropCriteria</td><td>function</td><td>no</td><td></td><td>Users can construct their own criteria to limit the relationships between dragged node and drop zone. Furtherly, this function accept three arguments(draggedNode, dragZone, dropZone) and just only return boolen values.</td>
    </tr>
    <tr>
      <td>initCompleted</td><td>function</td><td>no</td><td></td><td>It can often be useful to know when your table has fully been initialised, data loaded and rendered, particularly when using an ajax data source. It receives one parament: "$chart" stands for jquery object of initialised chart.</td>
    </tr>
  </tbody>
</table>     
     
     
     
 );

?>