<?php
/**
 * Plugin orgchartjs pour Spip
 *
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

/**
 * Inserer la CSS de orgchart
 *
 * @param $flux
 * @return mixed
 */
function orgchartjs_insert_head_css($flux){
	if (lire_config('orgchartjs/publique') != 'non') {
		// la feuille de style du plugin Org Chart pour jquery
		$flux .= '<link rel="stylesheet" type="text/css" href="'.find_in_path("orgchart-master/dist/css/jquery.orgchart.css").'" />';
		// la feuille de style du plugin Orgchart.js pour SPIP
		$flux .= '<link rel="stylesheet" type="text/css" href="'.find_in_path("css/spip_orgchartjs.css").'" />';
  	}
	return $flux;
}

/**
 * Inserer le javascript de orgchartjs
 *
 * @param $flux
 * @return mixed
 */
function orgchartjs_insert_head($flux){
	if (lire_config('orgchartjs/publique') != 'non') {
		$flux .= "<script type='text/javascript' src='".find_in_path('orgchart-master/dist/js/jquery.orgchart.js')."'></script>"
			. "<script type='text/javascript' src='".find_in_path('orgchart-master/dist/js/jquery.orgchart.min.js')."'></script>";
	}
	return $flux;
}

/**
 * Activer orgchartjs dans la partie privée
 *
 * @param $flux
 * @return mixed
 */
function orgchartjs_header_prive($flux){
	if (lire_config('orgchartjs/privee') != 'non') {
 		// La feuille de style style_prive_plugin_orgchartjs.html
 		// sera chargée automatiquement par SPIP. Elle vient personnaliser
		// la feuille de style d'orgchart que nous chargeons ici.
  		$flux .= '<link rel="stylesheet" type="text/css" href="'.find_in_path("orgchart-master/dist/css/jquery.orgchart.css").'" />';
 		// les javascripts
  		$flux .= "<script type='text/javascript' src='".find_in_path('orgchart-master/dist/js/jquery.orgchart.js')."'></script>"
          . "<script type='text/javascript' src='".find_in_path('orgchart-master/dist/js/jquery.orgchart.min.js')."'></script>";
	}
	return $flux;
}


?>